Bug 143047 - Error in the tooltip in Toolbar if a hotkey is assigned
Summary: Error in the tooltip in Toolbar if a hotkey is assigned
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.4.2 release
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2 tar...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-24 12:25 UTC by Vladimir Sokolinskiy
Modified: 2021-06-28 10:09 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Sokolinskiy 2021-06-24 12:25:59 UTC
Let's perform the following actions: 

1. Write any macro (for example, Main) to the application library (for example, Starndard library, Module1 module). 

2. Add to any Toolbar new command and assign the macro from step 1 to it. Rename new menu item to "MyMacro", change icon to any. Now tooltip is "MyMacro"

3. Assign any hotkey (for example, F16) to the macro from step 1. Restart LO.

Now tooltip is: (F16)

Must be: Mymacro (F16)
Comment 1 Mike Kaganski 2021-06-24 12:59:13 UTC
Repro using Version: 7.1.4.2 (x64) / LibreOffice Community
Build ID: a529a4fab45b75fefc5b6226684193eb000654f6
CPU threads: 12; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: en-US
Calc: threaded
Comment 2 Mike Kaganski 2021-06-24 13:08:34 UTC
https://gerrit.libreoffice.org/c/core/+/117787
Comment 3 Commit Notification 2021-06-25 09:55:00 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8383175bd3c714c163eac40a00b1e8277d4d5307

tdf#143047: When no properties for command, use those from item container

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-06-28 08:18:22 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/caa0bccff18c2a6b67b97a3617109bdd7455dd2a

tdf#143047: When no properties for command, use those from item container

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-06-28 08:19:35 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/e51ad28ba22105c60be246f02e7951b986f35150

tdf#143047: When no properties for command, use those from item container

It will be available in 7.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Vladimir Sokolinskiy 2021-06-28 10:09:32 UTC
Mike, thank you very much!